Index: main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_export.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_export.py	(revision 13639)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_export.py	(revision 13640)
@@ -746,7 +746,7 @@
             'ac,amount_auth,creation_date,p_category,p_current,p_id,'
             'p_item,p_level,p_session,p_state,payment_date,r_amount_approved,'
-            'r_code,r_desc,student_id,state,current_session\r\n'
-
-            ',0.0,2012-04-01 13:12:01#,,1,,,,,unpaid,,0.0,,,,,\r\n'
+            'r_code,r_desc,student_id,state,current_session,reg_number\r\n'
+
+            ',0.0,2012-04-01 13:12:01#,,1,,,,,unpaid,,0.0,,,,,,\r\n'
             )
         return
@@ -764,9 +764,9 @@
             'ac,amount_auth,creation_date,p_category,p_current,p_id,'
             'p_item,p_level,p_session,p_state,payment_date,r_amount_approved,'
-            'r_code,r_desc,student_id,state,current_session\r\n'
+            'r_code,r_desc,student_id,state,current_session,reg_number\r\n'
 
             '666,12.12,2012-04-01 13:12:01#,schoolfee,1,my-id,'
             'p-item,100,2012,paid,2012-04-01 14:12:01#,12.12,'
-            'r-code,,A111111,created,2012\r\n'
+            'r-code,,A111111,created,2012,\r\n'
             )
         return
@@ -783,9 +783,9 @@
             'ac,amount_auth,creation_date,p_category,p_current,p_id,'
             'p_item,p_level,p_session,p_state,payment_date,r_amount_approved,'
-            'r_code,r_desc,student_id,state,current_session\r\n'
+            'r_code,r_desc,student_id,state,current_session,reg_number\r\n'
 
             '666,12.12,2012-04-01 13:12:01#,schoolfee,1,my-id,'
             'p-item,100,2012,paid,2012-04-01 14:12:01#,12.12,'
-            'r-code,,A111111,created,2012\r\n'
+            'r-code,,A111111,created,2012,\r\n'
             )
         return
@@ -802,9 +802,9 @@
             'ac,amount_auth,creation_date,p_category,p_current,p_id,'
             'p_item,p_level,p_session,p_state,payment_date,r_amount_approved,'
-            'r_code,r_desc,student_id,state,current_session\r\n'
+            'r_code,r_desc,student_id,state,current_session,reg_number\r\n'
 
             '666,12.12,2012-04-01 13:12:01#,schoolfee,1,my-id,'
             'p-item,100,2012,paid,2012-04-01 14:12:01#,12.12,'
-            'r-code,,A111111,created,2012\r\n'
+            'r-code,,A111111,created,2012,\r\n'
             )
         return
@@ -824,9 +824,9 @@
             'ac,amount_auth,creation_date,p_category,p_current,p_id,'
             'p_item,p_level,p_session,p_state,payment_date,r_amount_approved,'
-            'r_code,r_desc,student_id,state,current_session\r\n'
+            'r_code,r_desc,student_id,state,current_session,reg_number\r\n'
 
             '666,12.12,2012-04-01 13:12:01#,schoolfee,1,my-id,'
             'p-item,100,2012,paid,2012-04-01 14:12:01#,12.12,'
-            'r-code,,A111111,created,2012\r\n'
+            'r-code,,A111111,created,2012,\r\n'
             )
         return
@@ -860,9 +860,9 @@
             'ac,amount_auth,creation_date,p_category,p_current,p_id,'
             'p_item,p_level,p_session,p_state,payment_date,r_amount_approved,'
-            'r_code,r_desc,student_id,state,current_session\r\n'
+            'r_code,r_desc,student_id,state,current_session,reg_number\r\n'
 
             '666,12.12,2012-04-01 13:12:01#,schoolfee,1,my-id,'
             'p-item,100,2012,paid,2012-04-01 14:12:01#,12.12,'
-            'r-code,,A111111,created,2012\r\n'
+            'r-code,,A111111,created,2012,\r\n'
             )
         # Payment date is 2012-04-01, 14:12:01.
@@ -877,5 +877,5 @@
             'ac,amount_auth,creation_date,p_category,p_current,p_id,'
             'p_item,p_level,p_session,p_state,payment_date,r_amount_approved,'
-            'r_code,r_desc,student_id,state,current_session\r\n'
+            'r_code,r_desc,student_id,state,current_session,reg_number\r\n'
             )
         exporter.export_filtered(
@@ -888,5 +888,5 @@
             'ac,amount_auth,creation_date,p_category,p_current,p_id,'
             'p_item,p_level,p_session,p_state,payment_date,r_amount_approved,'
-            'r_code,r_desc,student_id,state,current_session\r\n'
+            'r_code,r_desc,student_id,state,current_session,reg_number\r\n'
             )
         # No results if payment_date is not set
@@ -901,5 +901,5 @@
             'ac,amount_auth,creation_date,p_category,p_current,p_id,'
             'p_item,p_level,p_session,p_state,payment_date,r_amount_approved,'
-            'r_code,r_desc,student_id,state,current_session\r\n'
+            'r_code,r_desc,student_id,state,current_session,reg_number\r\n'
             )
         return
@@ -926,5 +926,5 @@
             'ac,amount_auth,creation_date,p_category,p_current,p_id,'
             'p_item,p_level,p_session,p_state,payment_date,r_amount_approved,'
-            'r_code,r_desc,student_id,state,current_session\r\n'
+            'r_code,r_desc,student_id,state,current_session,reg_number\r\n'
             )
         # Make ticket unpaid
@@ -936,9 +936,9 @@
             'ac,amount_auth,creation_date,p_category,p_current,p_id,'
             'p_item,p_level,p_session,p_state,payment_date,r_amount_approved,'
-            'r_code,r_desc,student_id,state,current_session\r\n'
+            'r_code,r_desc,student_id,state,current_session,reg_number\r\n'
 
             '666,12.12,2012-04-01 13:12:01#,schoolfee,1,my-id,'
             'p-item,100,2012,unpaid,2012-04-01 14:12:01#,12.12,'
-            'r-code,,A111111,created,2012\r\n'
+            'r-code,,A111111,created,2012,\r\n'
             )
         return