Index: main/waeup.aaue/trunk/src/waeup/aaue/students/browser.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/browser.py	(revision 13637)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/browser.py	(revision 13647)
@@ -225,13 +225,32 @@
 
     def _signatures(self):
-        return (
-            [('I have selected the course on the advise of my Head of '
-             'Department. <br>', _('Student\'s Signature'), '<br>')],
-            [('This student has satisfied the department\'s requirements. '
-             'I recommend to approve the course registration. <br>',
-             _('Head of Department\'s Signature'), '<br>')],
-            [('' , _('Principal Assistant Registrar\'s Signature'), '<br>')],
-            [('', _('Director\'s Signature'))]
-            )
+        if self.context.student.current_mode.endswith('_pt') \
+            or self.context.student.current_mode == 'found':
+            return (
+                [('I have selected the course on the advise of my Head of '
+                 'Department. <br>', _('Student\'s Signature'), '<br>')],
+                [('This student has satisfied the department\'s requirements. '
+                 'I recommend to approve the course registration. <br>',
+                 _('Head of Department\'s Signature'), '<br>')],
+                [('' , _('Principal Assistant Registrar\'s Signature'), '<br>')],
+                [('', _('Director\'s Signature'))]
+                )
+        if self.context.student.current_mode in (
+            'de_ft', 'ug_ft', 'dp_ft', 'transfer'):
+            return (
+                [('', _('Academic Adviser\'s Signature'), '<br>')],
+                [('', _('Faculty Officer\'s Signature'), '<br>')],
+                [('' , _('Student\'s Signature'), '<br>')],
+                )
+        if self.context.student.current_mode in ('special_pg_ft', 'special_pg_pt'):
+            return (
+                [('' , _('Student\'s Signature'), '<br>')],
+                [('', _('Major Supervisor\'s Signature'), '<br>')],
+                [('', _('Co-Supervisor\'s Signature'), '<br>')],
+                [('', _('Head of Department\'s Signature'), '<br>')],
+                [('', _('Secretary\'s Signature'), '<br>')],
+                )
+        return None
+
 
     def render(self):
Index: main/waeup.aaue/trunk/src/waeup/aaue/students/tests/test_browser.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/tests/test_browser.py	(revision 13637)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/tests/test_browser.py	(revision 13647)
@@ -535,4 +535,25 @@
         self.assertEqual(self.browser.headers['Status'], '200 Ok')
         self.assertEqual(self.browser.headers['Content-Type'], 'application/pdf')
+        path = os.path.join(samples_dir(), 'ft_course_registration_slip.pdf')
+        open(path, 'wb').write(self.browser.contents)
+        print "Sample PDF ft_course_registration_slip.pdf written to %s" % path
+
+        self.certificate.study_mode = 'ug_pt'
+        self.browser.open(self.student_path + '/studycourse/100')
+        self.browser.getLink("Download course registration slip").click()
+        self.assertEqual(self.browser.headers['Status'], '200 Ok')
+        self.assertEqual(self.browser.headers['Content-Type'], 'application/pdf')
+        path = os.path.join(samples_dir(), 'pt_course_registration_slip.pdf')
+        open(path, 'wb').write(self.browser.contents)
+        print "Sample PDF pt_course_registration_slip.pdf written to %s" % path
+
+        self.certificate.study_mode = 'special_pg_ft'
+        self.browser.open(self.student_path + '/studycourse/100')
+        self.browser.getLink("Download course registration slip").click()
+        self.assertEqual(self.browser.headers['Status'], '200 Ok')
+        self.assertEqual(self.browser.headers['Content-Type'], 'application/pdf')
+        path = os.path.join(samples_dir(), 'pg_course_registration_slip.pdf')
+        open(path, 'wb').write(self.browser.contents)
+        print "Sample PDF pg_course_registration_slip.pdf written to %s" % path
 
     def test_student_clearance(self):