Index: main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/browser.py
===================================================================
--- main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/browser.py	(revision 13652)
+++ main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/browser.py	(revision 13653)
@@ -125,5 +125,6 @@
         xmldict['institution_acct'] = "0106259811"
         xmldict['institution_bank_id'] = "10"
-        if self.context.p_category == 'schoolfee':
+        if self.context.p_category == 'schoolfee' \
+            or self.context.p_category.startswith('carryover'):
             self.pay_item_id = '101'
             dalash_amt = 1800.0
Index: main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/tests.py
===================================================================
--- main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/tests.py	(revision 13652)
+++ main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/tests.py	(revision 13653)
@@ -248,5 +248,5 @@
             self.browser.contents)
         self.assertTrue(
-            'item_name="School Fee" item_amt="270000" bank_id="10" acct_num="0106259811"' in
+            'item_name="One Carry-Over" item_amt="270000" bank_id="10" acct_num="0106259811"' in
             self.browser.contents)
         self.assertTrue(
Index: main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/tests/test_browser.py
===================================================================
--- main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/tests/test_browser.py	(revision 13652)
+++ main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/tests/test_browser.py	(revision 13653)
@@ -268,6 +268,6 @@
         self.assertEqual(payment.p_session, 2004)
         self.assertEqual(payment.amount_auth, 6000.0)
-        self.assertEqual(payment.p_item, u'1 CarryOver')
-        self.assertEqual(payment.p_category, 'schoolfee')
+        self.assertEqual(payment.p_item, u'One Carry-Over')
+        self.assertEqual(payment.p_category, 'carryover1')
         self.assertEqual(error, None)
 
@@ -276,6 +276,6 @@
         self.assertEqual(payment.p_session, 2004)
         self.assertEqual(payment.amount_auth, 10000.0)
-        self.assertEqual(payment.p_item, u'2 CarryOvers')
-        self.assertEqual(payment.p_category, 'schoolfee')
+        self.assertEqual(payment.p_item, u'Two Carry-Overs')
+        self.assertEqual(payment.p_category, 'carryover2')
         self.assertEqual(error, None)
 
@@ -284,6 +284,6 @@
         self.assertEqual(payment.p_session, 2004)
         self.assertEqual(payment.amount_auth, 15000.0)
-        self.assertEqual(payment.p_item, u'3 CarryOvers')
-        self.assertEqual(payment.p_category, 'schoolfee')
+        self.assertEqual(payment.p_item, u'Three Carry-Overs')
+        self.assertEqual(payment.p_category, 'carryover3')
         self.assertEqual(error, None)
 
Index: main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/utils.py
===================================================================
--- main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/utils.py	(revision 13652)
+++ main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/utils.py	(revision 13653)
@@ -262,5 +262,6 @@
             p_item = unicode(p_item)
             # Now we change the category to reduce the number of categories.
-            category = 'schoolfee'
+            # Disabled on 2016/02/04
+            #category = 'schoolfee'
         if self._isPaymentDisabled(p_session, category, student):
             return _('Payment temporarily disabled.'), None
Index: main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/utils/utils.py
===================================================================
--- main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/utils/utils.py	(revision 13652)
+++ main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/utils/utils.py	(revision 13653)
@@ -61,7 +61,7 @@
     PAYMENT_CATEGORIES = {
         'schoolfee': 'School Fee',
-        'carryover1': '1 CarryOver',
-        'carryover2': '2 CarryOvers',
-        'carryover3': '3 CarryOvers',
+        'carryover1': 'One Carry-Over',
+        'carryover2': 'Two Carry-Overs',
+        'carryover3': 'Three Carry-Overs',
         'clearance': 'Acceptance',
         'bed_allocation': 'Bed Allocation',
@@ -105,7 +105,7 @@
     SELECTABLE_PAYMENT_CATEGORIES = {
         'schoolfee': 'School Fee',
-        'carryover1': 'One CarryOver',
-        'carryover2': 'Two CarryOvers',
-        'carryover3': 'Three CarryOvers',
+        'carryover1': 'One Carry-Over',
+        'carryover2': 'Two Carry-Overs',
+        'carryover3': 'Three Carry-Overs',
         'hostel_maintenance': 'Hostel Maintenance',
         'certificate': 'ND Certificate',