Index: main/waeup.kofa/trunk/src/waeup/kofa/university/export.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/university/export.py	(revision 13653)
+++ main/waeup.kofa/trunk/src/waeup/kofa/university/export.py	(revision 13654)
@@ -162,4 +162,5 @@
 
     fields = ('code', 'faculty_code', 'department_code', 'title', 'study_mode',
+              'degree',
               'start_level', 'end_level', 'application_category', 'ratio',
               'school_fee_1', 'school_fee_2', 'school_fee_3', 'school_fee_4',
Index: main/waeup.kofa/trunk/src/waeup/kofa/university/tests/test_export.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/university/tests/test_export.py	(revision 13653)
+++ main/waeup.kofa/trunk/src/waeup/kofa/university/tests/test_export.py	(revision 13654)
@@ -378,5 +378,6 @@
         self.assertEqual(
             result,
-            'code,faculty_code,department_code,title,study_mode,start_level,'
+            'code,faculty_code,department_code,title,study_mode,'
+            'degree,start_level,'
             'end_level,application_category,ratio,school_fee_1,'
             'school_fee_2,school_fee_3,school_fee_4,'
@@ -384,5 +385,5 @@
             'custom_float_1,custom_float_2,'
             'users_with_local_roles\r\n'
-            'CERT1,F1,D1,Master of Cheese,ct_ft,100,300,basic,,,,,,,,,,'
+            'CERT1,F1,D1,Master of Cheese,ct_ft,,100,300,basic,,,,,,,,,,'
             '"[{\'user_name\': u\'bob\', \'local_role\': u\'bobsrole\'}]"\r\n'
             )
@@ -395,5 +396,6 @@
         self.assertEqual(
             result,
-            'code,faculty_code,department_code,title,study_mode,start_level,'
+            'code,faculty_code,department_code,title,study_mode,'
+            'degree,start_level,'
             'end_level,application_category,ratio,school_fee_1,'
             'school_fee_2,school_fee_3,school_fee_4,'
@@ -401,7 +403,7 @@
             'custom_float_1,custom_float_2,'
             'users_with_local_roles\r\n'
-            'CERT1,F1,D1,Master of Cheese,ct_ft,100,300,basic,,,,,,,,,,'
-            '"[{\'user_name\': u\'bob\', \'local_role\': u\'bobsrole\'}]"\r\n'
-            'CERT2,F1,D1,Master of Cheddar,ct_ft,400,700,cest,,,,,,,,,,[]\r\n'
+            'CERT1,F1,D1,Master of Cheese,ct_ft,,100,300,basic,,,,,,,,,,'
+            '"[{\'user_name\': u\'bob\', \'local_role\': u\'bobsrole\'}]"\r\n'
+            'CERT2,F1,D1,Master of Cheddar,ct_ft,,400,700,cest,,,,,,,,,,[]\r\n'
             )
         return
@@ -414,5 +416,6 @@
         self.assertEqual(
             result,
-            'code,faculty_code,department_code,title,study_mode,start_level,'
+            'code,faculty_code,department_code,title,study_mode,'
+            'degree,start_level,'
             'end_level,application_category,ratio,'
             'school_fee_1,school_fee_2,school_fee_3,school_fee_4,'
@@ -420,8 +423,8 @@
             'custom_float_1,custom_float_2,'
             'users_with_local_roles\r\n'
-            'CERT1,F1,D1,Master of Cheese,ct_ft,100,300,basic,,,,,,,,,,'
-            '"[{\'user_name\': u\'bob\', \'local_role\': u\'bobsrole\'}]"\r\n'
-            'CERT2,F1,D1,Master of Cheddar,ct_ft,400,700,cest,,,,,,,,,,[]\r\n'
-            'CERT3,F1,D2,Cert. of Rubbish,dp_pt,100,200,no,,,,,,,,,,[]\r\n'
+            'CERT1,F1,D1,Master of Cheese,ct_ft,,100,300,basic,,,,,,,,,,'
+            '"[{\'user_name\': u\'bob\', \'local_role\': u\'bobsrole\'}]"\r\n'
+            'CERT2,F1,D1,Master of Cheddar,ct_ft,,400,700,cest,,,,,,,,,,[]\r\n'
+            'CERT3,F1,D2,Cert. of Rubbish,dp_pt,,100,200,no,,,,,,,,,,[]\r\n'
             )
         return
@@ -433,5 +436,6 @@
         self.assertEqual(
             result,
-            'code,faculty_code,department_code,title,study_mode,start_level,'
+            'code,faculty_code,department_code,title,study_mode,'
+            'degree,start_level,'
             'end_level,application_category,ratio,'
             'school_fee_1,school_fee_2,school_fee_3,school_fee_4,'
@@ -439,8 +443,8 @@
             'custom_float_1,custom_float_2,'
             'users_with_local_roles\r\n'
-            'CERT1,F1,D1,Master of Cheese,ct_ft,100,300,basic,,,,,,,,,,'
-            '"[{\'user_name\': u\'bob\', \'local_role\': u\'bobsrole\'}]"\r\n'
-            'CERT2,F1,D1,Master of Cheddar,ct_ft,400,700,cest,,,,,,,,,,[]\r\n'
-            'CERT3,F1,D2,Cert. of Rubbish,dp_pt,100,200,no,,,,,,,,,,[]\r\n'
+            'CERT1,F1,D1,Master of Cheese,ct_ft,,100,300,basic,,,,,,,,,,'
+            '"[{\'user_name\': u\'bob\', \'local_role\': u\'bobsrole\'}]"\r\n'
+            'CERT2,F1,D1,Master of Cheddar,ct_ft,,400,700,cest,,,,,,,,,,[]\r\n'
+            'CERT3,F1,D2,Cert. of Rubbish,dp_pt,,100,200,no,,,,,,,,,,[]\r\n'
             )
         return