Index: main/waeup.kofa/trunk/bootstrap.py
===================================================================
--- main/waeup.kofa/trunk/bootstrap.py	(revision 13656)
+++ main/waeup.kofa/trunk/bootstrap.py	(revision 13657)
@@ -26,5 +26,8 @@
 from optparse import OptionParser
 
-tmpeggs = tempfile.mkdtemp()
+__version__ = '2015-07-01'
+# See zc.buildout's changelog if this version is up to date.
+
+tmpeggs = tempfile.mkdtemp(prefix='bootstrap-')
 
 usage = '''\
@@ -36,11 +39,12 @@
 Python that you want bin/buildout to use.
 
-Note that by using --find-links to point to local resources, you can keep 
+Note that by using --find-links to point to local resources, you can keep
 this script from going over the network.
 '''
 
 parser = OptionParser(usage=usage)
-parser.add_option("-v", "--version", help="use a specific zc.buildout version")
-
+parser.add_option("--version",
+                  action="store_true", default=False,
+                  help=("Return bootstrap.py version."))
 parser.add_option("-t", "--accept-buildout-test-releases",
                   dest='accept_buildout_test_releases',
@@ -57,39 +61,67 @@
 parser.add_option("-f", "--find-links",
                   help=("Specify a URL to search for buildout releases"))
-
+parser.add_option("--allow-site-packages",
+                  action="store_true", default=False,
+                  help=("Let bootstrap.py use existing site packages"))
+parser.add_option("--buildout-version",
+                  help="Use a specific zc.buildout version")
+parser.add_option("--setuptools-version",
+                  help="Use a specific setuptools version")
+parser.add_option("--setuptools-to-dir",
+                  help=("Allow for re-use of existing directory of "
+                        "setuptools versions"))
 
 options, args = parser.parse_args()
+if options.version:
+    print("bootstrap.py version %s" % __version__)
+    sys.exit(0)
+
 
 ######################################################################
-# load/install distribute
-
-to_reload = False
+# load/install setuptools
+
 try:
-    import pkg_resources
-    import setuptools
-    if not hasattr(pkg_resources, '_distribute'):
-        to_reload = True
-        raise ImportError
+    from urllib.request import urlopen
 except ImportError:
-    ez = {}
-
-    try:
-        from urllib.request import urlopen
-    except ImportError:
-        from urllib2 import urlopen
-
-    exec(urlopen(
-        'http://downloads.buildout.org/2.1/distribute_setup.py').read(), ez)
-    setup_args = dict(to_dir=tmpeggs, download_delay=0, no_fake=True)
-    ez['use_setuptools'](**setup_args)
-
-    if to_reload:
-        reload(pkg_resources)
-    import pkg_resources
-    # This does not (always?) update the default working set.  We will
-    # do it.
-    for path in sys.path:
-        if path not in pkg_resources.working_set.entries:
-            pkg_resources.working_set.add_entry(path)
+    from urllib2 import urlopen
+
+ez = {}
+if os.path.exists('ez_setup.py'):
+    exec(open('ez_setup.py').read(), ez)
+else:
+    exec(urlopen('https://bootstrap.pypa.io/ez_setup.py').read(), ez)
+
+if not options.allow_site_packages:
+    # ez_setup imports site, which adds site packages
+    # this will remove them from the path to ensure that incompatible versions
+    # of setuptools are not in the path
+    import site
+    # inside a virtualenv, there is no 'getsitepackages'.
+    # We can't remove these reliably
+    if hasattr(site, 'getsitepackages'):
+        for sitepackage_path in site.getsitepackages():
+            # Strip all site-packages directories from sys.path that
+            # are not sys.prefix; this is because on Windows
+            # sys.prefix is a site-package directory.
+            if sitepackage_path != sys.prefix:
+                sys.path[:] = [x for x in sys.path
+                               if sitepackage_path not in x]
+
+setup_args = dict(to_dir=tmpeggs, download_delay=0)
+
+if options.setuptools_version is not None:
+    setup_args['version'] = options.setuptools_version
+if options.setuptools_to_dir is not None:
+    setup_args['to_dir'] = options.setuptools_to_dir
+
+ez['use_setuptools'](**setup_args)
+import setuptools
+import pkg_resources
+
+# This does not (always?) update the default working set.  We will
+# do it.
+for path in sys.path:
+    if path not in pkg_resources.working_set.entries:
+        pkg_resources.working_set.add_entry(path)
 
 ######################################################################
@@ -98,5 +130,10 @@
 ws = pkg_resources.working_set
 
+setuptools_path = ws.find(
+    pkg_resources.Requirement.parse('setuptools')).location
+
+# Fix sys.path here as easy_install.pth added before PYTHONPATH
 cmd = [sys.executable, '-c',
+       'import sys; sys.path[0:0] = [%r]; ' % setuptools_path +
        'from setuptools.command.easy_install import main; main()',
        '-mZqNxd', tmpeggs]
@@ -111,9 +148,6 @@
     cmd.extend(['-f', find_links])
 
-distribute_path = ws.find(
-    pkg_resources.Requirement.parse('distribute')).location
-
 requirement = 'zc.buildout'
-version = options.version
+version = options.buildout_version
 if version is None and not options.accept_buildout_test_releases:
     # Figure out the most recent final version of zc.buildout.
@@ -122,10 +156,15 @@
 
     def _final_version(parsed_version):
-        for part in parsed_version:
-            if (part[:1] == '*') and (part not in _final_parts):
-                return False
-        return True
+        try:
+            return not parsed_version.is_prerelease
+        except AttributeError:
+            # Older setuptools
+            for part in parsed_version:
+                if (part[:1] == '*') and (part not in _final_parts):
+                    return False
+            return True
+
     index = setuptools.package_index.PackageIndex(
-        search_path=[distribute_path])
+        search_path=[setuptools_path])
     if find_links:
         index.add_find_links((find_links,))
@@ -150,8 +189,7 @@
 
 import subprocess
-if subprocess.call(cmd, env=dict(os.environ, PYTHONPATH=distribute_path)) != 0:
+if subprocess.call(cmd) != 0:
     raise Exception(
-        "Failed to execute command:\n%s",
-        repr(cmd)[1:-1])
+        "Failed to execute command:\n%s" % repr(cmd)[1:-1])
 
 ######################################################################
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_browser.py	(revision 13656)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_browser.py	(revision 13657)
@@ -1193,14 +1193,4 @@
         self.assertTrue(
             'Application submitted' in self.browser.contents)
-        self.browser.goBack(count=1)
-        self.browser.getControl("Save").click()
-        # The form is locked.
-        self.assertTrue(self.applicant.locked)
-        self.assertTrue(
-            'The requested form is locked' in self.browser.contents)
-        self.browser.goBack(count=1)
-        self.browser.getControl("Finally Submit").click()
-        self.assertTrue(
-            'The requested form is locked' in self.browser.contents)
         return
 
Index: main/waeup.kofa/trunk/src/waeup/kofa/doctests/pages.txt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/doctests/pages.txt	(revision 13656)
+++ main/waeup.kofa/trunk/src/waeup/kofa/doctests/pages.txt	(revision 13657)
@@ -656,4 +656,8 @@
   ...
   LookupError: name 'form.code'
+  available items:
+    <TextControl(form.title=My Course 1)>
+    ...
+
 
 Let's set a new title and save the form:
@@ -899,4 +903,8 @@
   ...
   LookupError: name 'form.code'
+  available items:
+    <TextControl(form.title=My Certificate 1)>
+    ...
+
 
 Let's set a new title and save the form:
Index: main/waeup.kofa/trunk/versions.cfg
===================================================================
--- main/waeup.kofa/trunk/versions.cfg	(revision 13656)
+++ main/waeup.kofa/trunk/versions.cfg	(revision 13657)
@@ -15,16 +15,19 @@
 # Pinned to prevent buildout svn-error.
 lovely.recipe = 1.0.0
+mechanize = 0.2.5
 megrok.layout = 1.0.2
 reportlab = 2.5
+setuptools = 19.2
 transaction = 1.1.0
 z3c.testsetup = 0.6.1
-zc.buildout = 2.1.0
+zc.buildout = 2.5.0
 zc.recipe.egg = 2.0.0a3
 zc.recipe.testrunner = 2.0.0
-zope.app.testing = 3.8.1
+zope.app.testing = 3.9.0
 # for support of @provider directive
 zope.interface = 3.6.3
 # for support of contextual default values
 zope.schema = 3.8.0
+zope.testbrowser = 4.0.4
 zope.testing = 3.10.2
 zope.xmlpickle = 3.4.0