Index: main/waeup.aaue/trunk/src/waeup/aaue/applicants/browser.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/applicants/browser.py	(revision 13678)
+++ main/waeup.aaue/trunk/src/waeup/aaue/applicants/browser.py	(revision 13679)
@@ -49,5 +49,19 @@
       'hq_degree2', 'hq_school2', 'hq_session2', 'hq_disc2',
       'hq_type3', 'hq_fname3', 'hq_matric_no3',
-      'hq_degree3', 'hq_school3', 'hq_session3', 'hq_disc3'
+      'hq_degree3', 'hq_school3', 'hq_session3', 'hq_disc3',
+      'nysc_year',
+      'nysc_location',
+      'nysc_lga',
+      'employer',
+      'emp_position',
+      'emp_start',
+      'emp_end',
+      'emp_reason',
+      'employer2',
+      'emp2_position',
+      'emp2_start',
+      'emp2_end',
+      'emp2_reason',
+      'former_matric',
       )
 UG_OMIT_DISPLAY_FIELDS = OMIT_DISPLAY_FIELDS + (
@@ -65,5 +79,6 @@
     'jamb_score',
     'jamb_reg_number',
-    'aggregate')
+    'aggregate',
+    )
 
 #UG_OMIT_PDF_FIELDS = tuple([
@@ -74,9 +89,4 @@
 #      'alr_results', 'notice'
 #      )
-
-FP_OMIT_DISPLAY_FIELDS = UG_OMIT_DISPLAY_FIELDS + UG_OMIT_FIELDS
-FP_OMIT_PDF_FIELDS = UG_OMIT_PDF_FIELDS + UG_OMIT_FIELDS
-FP_OMIT_MANAGE_FIELDS = UG_OMIT_MANAGE_FIELDS + UG_OMIT_FIELDS
-FP_OMIT_EDIT_FIELDS = UG_OMIT_EDIT_FIELDS + UG_OMIT_FIELDS
 
 PG_OMIT_FIELDS = (
@@ -102,8 +112,58 @@
 PG_OMIT_PDF_FIELDS = PG_OMIT_DISPLAY_FIELDS + PG_OMIT_FIELDS + (
       'reg_number','alr_fname', 'alr_no', 'alr_date',
-      'alr_results', 'notice')
+      'alr_results', 'notice',
+      'nysc_year',
+      'nysc_location',
+      'nysc_lga',
+      'employer',
+      'emp_position',
+      'emp_start',
+      'emp_end',
+      'emp_reason',
+      'employer2',
+      'emp2_position',
+      'emp2_start',
+      'emp2_end',
+      'emp2_reason',
+      'former_matric',
+      )
 PG_OMIT_MANAGE_FIELDS = (
     'special_application','jamb_subjects_list',) + PG_OMIT_FIELDS
 PG_OMIT_EDIT_FIELDS = PG_OMIT_MANAGE_FIELDS + OMIT_DISPLAY_FIELDS + (
+    'student_id',
+    'notice',
+    )
+
+PTEE_OMIT_FIELDS = (
+    'programme_type',
+    'jamb_age',
+    'jamb_subjects',
+    'jamb_score',
+    'jamb_reg_number',
+    'aggregate'
+    )
+PTEE_OMIT_DISPLAY_FIELDS = OMIT_DISPLAY_FIELDS + (
+    'jamb_subjects_list',) + PTEE_OMIT_FIELDS
+PTEE_OMIT_PDF_FIELDS = PTEE_OMIT_DISPLAY_FIELDS + PTEE_OMIT_FIELDS + (
+      'reg_number','alr_fname', 'alr_no', 'alr_date',
+      'alr_results', 'notice',
+      'nysc_year',
+      'nysc_location',
+      'nysc_lga',
+      'employer',
+      'emp_position',
+      'emp_start',
+      'emp_end',
+      'emp_reason',
+      'employer2',
+      'emp2_position',
+      'emp2_start',
+      'emp2_end',
+      'emp2_reason',
+      'former_matric',
+    )
+PTEE_OMIT_MANAGE_FIELDS = (
+    'special_application','jamb_subjects_list',) + PTEE_OMIT_FIELDS
+PTEE_OMIT_EDIT_FIELDS = PTEE_OMIT_MANAGE_FIELDS + OMIT_DISPLAY_FIELDS + (
     'student_id',
     'notice',
@@ -127,6 +187,6 @@
             for field in PG_OMIT_DISPLAY_FIELDS:
                 form_fields = form_fields.omit(field)
-        elif self.target is not None and self.target.startswith('fp'):
-            for field in FP_OMIT_DISPLAY_FIELDS:
+        elif self.target is not None and self.target.startswith('ptee'):
+            for field in PTEE_OMIT_DISPLAY_FIELDS:
                 form_fields = form_fields.omit(field)
         else:
@@ -159,9 +219,9 @@
     column_two_fields = ('applicant_id', 'reg_number',
         'firstname', 'middlename', 'lastname', 'sex', 'date_of_birth')
-    two_columns_design_fields = [
-        'fst_sit_fname', 'fst_sit_no', 'fst_sit_date',
-        'fst_sit_type', 'fst_sit_results',
-        'scd_sit_fname', 'scd_sit_no', 'scd_sit_date',
-        'scd_sit_type', 'scd_sit_results']
+    #two_columns_design_fields = [
+    #    'fst_sit_fname', 'fst_sit_no', 'fst_sit_date',
+    #    'fst_sit_type', 'fst_sit_results',
+    #    'scd_sit_fname', 'scd_sit_no', 'scd_sit_date',
+    #    'scd_sit_type', 'scd_sit_results']
 
     @property
@@ -186,6 +246,6 @@
             for field in PG_OMIT_PDF_FIELDS:
                 form_fields = form_fields.omit(field)
-        elif self.target is not None and self.target.startswith('fp'):
-            for field in FP_OMIT_PDF_FIELDS:
+        elif self.target is not None and self.target.startswith('ptee'):
+            for field in PTEE_OMIT_PDF_FIELDS:
                 form_fields = form_fields.omit(field)
         else:
@@ -217,6 +277,6 @@
             for field in PG_OMIT_MANAGE_FIELDS:
                 form_fields = form_fields.omit(field)
-        elif self.target is not None and self.target.startswith('fp'):
-            for field in FP_OMIT_MANAGE_FIELDS:
+        elif self.target is not None and self.target.startswith('ptee'):
+            for field in PTEE_OMIT_MANAGE_FIELDS:
                 form_fields = form_fields.omit(field)
         else:
@@ -245,6 +305,6 @@
             for field in PG_OMIT_EDIT_FIELDS:
                 form_fields = form_fields.omit(field)
-        elif self.target is not None and self.target.startswith('fp'):
-            for field in FP_OMIT_EDIT_FIELDS:
+        elif self.target is not None and self.target.startswith('ptee'):
+            for field in PTEE_OMIT_EDIT_FIELDS:
                 form_fields = form_fields.omit(field)
         else:
Index: main/waeup.aaue/trunk/src/waeup/aaue/applicants/interfaces.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/applicants/interfaces.py	(revision 13678)
+++ main/waeup.aaue/trunk/src/waeup/aaue/applicants/interfaces.py	(revision 13679)
@@ -314,4 +314,92 @@
         readonly = False,
         )
+
+    nysc_year = schema.Int(
+        title = _(u'Nysc Year'),
+        required = False,
+        readonly = False,
+        )
+
+    nysc_location = schema.TextLine(
+        title = _(u'Nysc Location'),
+        required = False,
+        )
+
+    nysc_lga = schema.Choice(
+        source = LGASource(),
+        title = _(u'Nysc LGA'),
+        required = False,
+        )
+
+    employer = schema.TextLine(
+        title = _(u'Employer'),
+        required = False,
+        readonly = False,
+        )
+
+    emp_position = schema.TextLine(
+        title = _(u'Employer Position'),
+        required = False,
+        readonly = False,
+        )
+
+    emp_start = FormattedDate(
+        title = _(u'Start Date'),
+        required = False,
+        readonly = False,
+        show_year = True,
+        )
+
+    emp_end = FormattedDate(
+        title = _(u'End Date'),
+        required = False,
+        readonly = False,
+        show_year = True,
+        )
+
+    emp_reason = schema.TextLine(
+        title = _(u'Reason for Leaving'),
+        required = False,
+        readonly = False,
+        )
+
+    employer2 = schema.TextLine(
+        title = _(u'2nd Employer'),
+        required = False,
+        readonly = False,
+        )
+
+    emp2_position = schema.TextLine(
+        title = _(u'2nd Employer Position'),
+        required = False,
+        readonly = False,
+        )
+
+    emp2_start = FormattedDate(
+        title = _(u'Start Date'),
+        required = False,
+        readonly = False,
+        show_year = True,
+        )
+
+    emp2_end = FormattedDate(
+        title = _(u'End Date'),
+        required = False,
+        readonly = False,
+        show_year = True,
+        )
+
+    emp2_reason = schema.TextLine(
+        title = _(u'Reason for Leaving'),
+        required = False,
+        readonly = False,
+        )
+
+    former_matric = schema.TextLine(
+        title = _(u'If yes, matric number'),
+        required = False,
+        readonly = False,
+        )
+
     notice = schema.Text(
         title = _(u'Notice'),
Index: main/waeup.aaue/trunk/src/waeup/aaue/applicants/utils.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/applicants/utils.py	(revision 13678)
+++ main/waeup.aaue/trunk/src/waeup/aaue/applicants/utils.py	(revision 13679)
@@ -54,5 +54,5 @@
         'form.presently_inst': _(u'Presently attending a course or programme'),
         'form.olevel_type': _(u"'O' Level Records"),
-
+        'form.former_matric': _(u'Former Student'),
         }
 