Index: main/waeup.uniben/trunk/README.txt
===================================================================
--- main/waeup.uniben/trunk/README.txt	(revision 13631)
+++ main/waeup.uniben/trunk/README.txt	(revision 13687)
@@ -9,4 +9,14 @@
 For generic install instructions please see sources/waeup.kofa/docs/INSTALL.txt.
 
+Bootstrap and buildout have to be run in two steps:
+
+  (py27)$ python bootstrap.py -c buildout-init.cfg
+
+  (py27)$ ./bin/buildout -c buildout-init.cfg
+
+  (py27)$ python bootstrap.py
+
+  (py27)$ ./bin/buildout
+
 Repository
 ==========
Index: main/waeup.uniben/trunk/bootstrap.py
===================================================================
--- main/waeup.uniben/trunk/bootstrap.py	(revision 13631)
+++ main/waeup.uniben/trunk/bootstrap.py	(revision 13687)
@@ -26,5 +26,8 @@
 from optparse import OptionParser
 
-tmpeggs = tempfile.mkdtemp()
+__version__ = '2015-07-01'
+# See zc.buildout's changelog if this version is up to date.
+
+tmpeggs = tempfile.mkdtemp(prefix='bootstrap-')
 
 usage = '''\
@@ -36,11 +39,12 @@
 Python that you want bin/buildout to use.
 
-Note that by using --find-links to point to local resources, you can keep 
+Note that by using --find-links to point to local resources, you can keep
 this script from going over the network.
 '''
 
 parser = OptionParser(usage=usage)
-parser.add_option("-v", "--version", help="use a specific zc.buildout version")
-
+parser.add_option("--version",
+                  action="store_true", default=False,
+                  help=("Return bootstrap.py version."))
 parser.add_option("-t", "--accept-buildout-test-releases",
                   dest='accept_buildout_test_releases',
@@ -57,39 +61,67 @@
 parser.add_option("-f", "--find-links",
                   help=("Specify a URL to search for buildout releases"))
-
+parser.add_option("--allow-site-packages",
+                  action="store_true", default=False,
+                  help=("Let bootstrap.py use existing site packages"))
+parser.add_option("--buildout-version",
+                  help="Use a specific zc.buildout version")
+parser.add_option("--setuptools-version",
+                  help="Use a specific setuptools version")
+parser.add_option("--setuptools-to-dir",
+                  help=("Allow for re-use of existing directory of "
+                        "setuptools versions"))
 
 options, args = parser.parse_args()
+if options.version:
+    print("bootstrap.py version %s" % __version__)
+    sys.exit(0)
+
 
 ######################################################################
-# load/install distribute
-
-to_reload = False
+# load/install setuptools
+
 try:
-    import pkg_resources
-    import setuptools
-    if not hasattr(pkg_resources, '_distribute'):
-        to_reload = True
-        raise ImportError
+    from urllib.request import urlopen
 except ImportError:
-    ez = {}
-
-    try:
-        from urllib.request import urlopen
-    except ImportError:
-        from urllib2 import urlopen
-
-    exec(urlopen(
-        'http://downloads.buildout.org/2.1/distribute_setup.py').read(), ez)
-    setup_args = dict(to_dir=tmpeggs, download_delay=0, no_fake=True)
-    ez['use_setuptools'](**setup_args)
-
-    if to_reload:
-        reload(pkg_resources)
-    import pkg_resources
-    # This does not (always?) update the default working set.  We will
-    # do it.
-    for path in sys.path:
-        if path not in pkg_resources.working_set.entries:
-            pkg_resources.working_set.add_entry(path)
+    from urllib2 import urlopen
+
+ez = {}
+if os.path.exists('ez_setup.py'):
+    exec(open('ez_setup.py').read(), ez)
+else:
+    exec(urlopen('https://bootstrap.pypa.io/ez_setup.py').read(), ez)
+
+if not options.allow_site_packages:
+    # ez_setup imports site, which adds site packages
+    # this will remove them from the path to ensure that incompatible versions
+    # of setuptools are not in the path
+    import site
+    # inside a virtualenv, there is no 'getsitepackages'.
+    # We can't remove these reliably
+    if hasattr(site, 'getsitepackages'):
+        for sitepackage_path in site.getsitepackages():
+            # Strip all site-packages directories from sys.path that
+            # are not sys.prefix; this is because on Windows
+            # sys.prefix is a site-package directory.
+            if sitepackage_path != sys.prefix:
+                sys.path[:] = [x for x in sys.path
+                               if sitepackage_path not in x]
+
+setup_args = dict(to_dir=tmpeggs, download_delay=0)
+
+if options.setuptools_version is not None:
+    setup_args['version'] = options.setuptools_version
+if options.setuptools_to_dir is not None:
+    setup_args['to_dir'] = options.setuptools_to_dir
+
+ez['use_setuptools'](**setup_args)
+import setuptools
+import pkg_resources
+
+# This does not (always?) update the default working set.  We will
+# do it.
+for path in sys.path:
+    if path not in pkg_resources.working_set.entries:
+        pkg_resources.working_set.add_entry(path)
 
 ######################################################################
@@ -98,5 +130,10 @@
 ws = pkg_resources.working_set
 
+setuptools_path = ws.find(
+    pkg_resources.Requirement.parse('setuptools')).location
+
+# Fix sys.path here as easy_install.pth added before PYTHONPATH
 cmd = [sys.executable, '-c',
+       'import sys; sys.path[0:0] = [%r]; ' % setuptools_path +
        'from setuptools.command.easy_install import main; main()',
        '-mZqNxd', tmpeggs]
@@ -111,9 +148,6 @@
     cmd.extend(['-f', find_links])
 
-distribute_path = ws.find(
-    pkg_resources.Requirement.parse('distribute')).location
-
 requirement = 'zc.buildout'
-version = options.version
+version = options.buildout_version
 if version is None and not options.accept_buildout_test_releases:
     # Figure out the most recent final version of zc.buildout.
@@ -122,10 +156,15 @@
 
     def _final_version(parsed_version):
-        for part in parsed_version:
-            if (part[:1] == '*') and (part not in _final_parts):
-                return False
-        return True
+        try:
+            return not parsed_version.is_prerelease
+        except AttributeError:
+            # Older setuptools
+            for part in parsed_version:
+                if (part[:1] == '*') and (part not in _final_parts):
+                    return False
+            return True
+
     index = setuptools.package_index.PackageIndex(
-        search_path=[distribute_path])
+        search_path=[setuptools_path])
     if find_links:
         index.add_find_links((find_links,))
@@ -150,8 +189,7 @@
 
 import subprocess
-if subprocess.call(cmd, env=dict(os.environ, PYTHONPATH=distribute_path)) != 0:
+if subprocess.call(cmd) != 0:
     raise Exception(
-        "Failed to execute command:\n%s",
-        repr(cmd)[1:-1])
+        "Failed to execute command:\n%s" % repr(cmd)[1:-1])
 
 ######################################################################
Index: main/waeup.uniben/trunk/buildout-init.cfg
===================================================================
--- main/waeup.uniben/trunk/buildout-init.cfg	(revision 13687)
+++ main/waeup.uniben/trunk/buildout-init.cfg	(revision 13687)
@@ -0,0 +1,11 @@
+[buildout]
+# See http://pypi.python.org/pypi/mr.developer for details
+extensions = mr.developer
+auto-checkout = waeup.kofa kofacustom.nigeria
+sources-dir = sources
+develop = .
+parts =
+
+[sources]
+waeup.kofa = svn https://svn.waeup.org/repos/main/waeup.kofa/trunk
+kofacustom.nigeria = svn https://svn.waeup.org/repos/main/kofacustom.nigeria/trunk
Index: main/waeup.uniben/trunk/grok-1.1.cfg
===================================================================
--- main/waeup.uniben/trunk/grok-1.1.cfg	(revision 13631)
+++ 	(revision )
@@ -1,192 +1,0 @@
-[versions]
-# from http://svn.zope.org/*checkout*/zopetoolkit/trunk/zopeapp.cfg?rev=108938
-zope.app.apidoc = 3.7.1
-zope.app.applicationcontrol = 3.5.5
-zope.app.appsetup = 3.13.0
-zope.app.authentication = 3.7.1
-zope.app.basicskin = 3.5.0
-zope.app.broken = 3.5.0
-zope.app.cache = 3.7.0
-zope.app.catalog = 3.8.1
-zope.app.component = 3.8.4
-zope.app.container = 3.8.2
-zope.app.content = 3.4.0
-zope.app.dav = 3.5.2
-zope.app.debug = 3.4.1
-zope.app.dependable = 3.5.1
-zope.app.error = 3.5.2
-zope.app.exception = 3.6.1
-zope.app.file = 3.5.1
-zope.app.folder = 3.5.1
-zope.app.form = 4.0.1
-zope.app.ftp = 3.5.0
-zope.app.generations = 3.5.1
-zope.app.http = 3.6.1
-zope.app.i18n = 3.6.2
-zope.app.interface = 3.5.0
-zope.app.interpreter = 3.4.0
-zope.app.intid = 3.7.1
-zope.app.keyreference = 3.6.0
-zope.app.locales = 3.6.0
-zope.app.localpermission = 3.7.0
-zope.app.locking = 3.5.0
-zope.app.onlinehelp = 3.5.2
-zope.app.pagetemplate = 3.10.1
-zope.app.preference = 3.6.0
-zope.app.preview = 3.4.0
-zope.app.principalannotation = 3.7.0
-zope.app.publication = 3.10.2
-zope.app.publisher = 3.10.1
-zope.app.renderer = 3.5.1
-zope.app.rotterdam = 3.5.1
-zope.app.schema = 3.5.0
-zope.app.security = 3.7.5
-zope.app.securitypolicy = 3.5.2
-zope.app.server = 3.5.0
-zope.app.session = 3.6.1
-zope.app.skins = 3.4.0
-zope.app.testing = 3.7.4
-zope.app.tree = 3.6.0
-zope.app.twisted = 3.5.0
-zope.app.undo = 3.5.0
-zope.app.wsgi = 3.6.1
-zope.app.zcmlfiles = 3.7.0
-zope.app.zopeappgenerations = 3.5.0
-zope.app.zptpage = 3.5.1
-roman = 1.4.0
-zc.sourcefactory = 0.6.0
-zodbcode = 3.4.0
-zope.thread = 3.4
-zope.rdb = 3.5.0
-
-# from http://svn.zope.org/*checkout*/zopetoolkit/trunk/ztk.cfg?rev=108938
-zope.annotation = 3.5.0
-zope.applicationcontrol = 3.5.5
-zope.authentication = 3.7.0
-zope.broken = 3.6.0
-zope.browser = 1.2
-zope.browsermenu = 3.9.0
-zope.browserpage = 3.11.0
-zope.browserresource = 3.10.2
-zope.cachedescriptors = 3.5.0
-zope.catalog = 3.8.1
-zope.component = 3.9.1
-zope.componentvocabulary = 1.0
-zope.configuration = 3.7.1
-zope.container = 3.11.0
-zope.contentprovider = 3.6.1
-zope.contenttype = 3.5.0
-zope.copy = 3.5.0
-zope.copypastemove = 3.6.0
-zope.datetime = 3.4.0
-zope.deferredimport = 3.5.0
-zope.deprecation = 3.4.0
-zope.documenttemplate = 3.4.2
-zope.dottedname = 3.4.6
-zope.dublincore = 3.6.0
-zope.error = 3.7.0
-zope.event = 3.4.1
-zope.exceptions = 3.5.2
-zope.file = 0.5.0
-zope.filerepresentation = 3.6.0
-zope.formlib = 4.0
-zope.hookable = 3.4.1
-zope.html = 2.0.0
-zope.i18n = 3.7.2
-zope.i18nmessageid = 3.5.0
-zope.index = 3.6.0
-zope.interface = 3.5.3
-zope.intid = 3.7.2
-zope.keyreference = 3.6.2
-zope.lifecycleevent = 3.6.0
-zope.location = 3.9.0
-zope.login = 1.0.0
-zope.mimetype = 1.2.0
-zope.minmax = 1.1.2
-zope.pagetemplate = 3.5.0
-zope.password = 3.5.1
-zope.pluggableauth = 1.0.1
-zope.principalannotation = 3.6.0
-zope.principalregistry = 3.7.0
-zope.processlifetime = 1.0
-zope.proxy = 3.5.0
-zope.ptresource = 3.9.0
-zope.publisher = 3.12.0
-zope.ramcache = 1.0
-zope.schema = 3.6.1
-zope.security = 3.7.2
-zope.securitypolicy = 3.6.1
-zope.sendmail = 3.7.1
-zope.sequencesort = 3.4.0
-zope.server = 3.6.1
-zope.session = 3.9.2
-zope.site = 3.9.0
-zope.size = 3.4.1
-zope.structuredtext = 3.4.0
-zope.tal = 3.5.2
-zope.tales = 3.5.0
-zope.testbrowser = 3.7.0
-zope.testing = 3.8.7
-zope.traversing = 3.12.0
-zope.viewlet = 3.7.0
-zope.modulealias = 3.4.0
-zope.xmlpickle = 3.4.0
-ClientForm = 0.2.10
-distribute = 0.6.10
-docutils = 0.6
-Jinja2 = 2.2.1
-mechanize = 0.1.11
-py = 1.0.0
-Pygments = 1.2.2
-python-gettext = 1.0
-pytz = 2010b
-RestrictedPython = 3.5.1
-setuptools = 0.6c11
-Sphinx = 0.6.4
-transaction = 1.0.0
-z3c.recipe.sphinxdoc = 0.0.8
-zc.buildout = 1.4.3
-zc.lockfile = 1.0.0
-ZConfig = 2.7.1
-zc.recipe.egg = 1.2.2
-zc.recipe.testrunner = 1.2.0
-zc.resourcelibrary = 1.3.0
-zdaemon = 2.0.4
-ZODB3 = 3.9.4
-
-# grok 1.1
-grok = 1.1
-grokcore.annotation = 1.2
-grokcore.component = 1.8
-grokcore.content = 1.0
-grokcore.formlib = 1.5
-grokcore.message = 0.2
-grokcore.security = 1.4
-grokcore.site = 1.2
-grokcore.startup = 0.4
-grokcore.view = 1.13.2
-grokcore.viewlet = 1.4.1
-grokui.base = 0.2
-grokui.admin = 0.6.1
-martian = 0.11.1
-z3c.autoinclude = 0.3.2
-z3c.evalexception = 2.0
-z3c.flashmessage = 1.0
-zc.catalog = 1.4.2
-# Override
-zope.password = 3.6.0
-# Tools
-Paste = 1.7.2
-PasteDeploy = 1.3.3
-PasteScript = 1.7.3
-buildout.dumppickedversions = 0.4
-collective.recipe.template = 1.4
-simplejson = 2.0.9
-z3c.recipe.dev = 0.5.4
-z3c.recipe.eggbasket = 0.4.3
-z3c.recipe.i18n = 0.6.0
-z3c.recipe.mkdir = 0.3.1
-z3c.recipe.template = 0.1
-z3c.testsetup = 0.6.1
-zc.recipe.filestorage = 1.0.1
-zest.releaser = 3.4
Index: main/waeup.uniben/trunk/versions.cfg
===================================================================
--- main/waeup.uniben/trunk/versions.cfg	(revision 13631)
+++ main/waeup.uniben/trunk/versions.cfg	(revision 13687)
@@ -1,158 +1,6 @@
-# Versions of packages used by waeup.kofa
+# Versions of packages used by waeup.uniben
 [buildout]
-# default set of versions we use.
-#extends = http://grok.zope.org/releaseinfo/grok-1.1.cfg
-extends = grok-1.1.cfg
-
+extends = sources/waeup.kofa/versions.cfg
 versions = versions
 
 [versions]
-collective.recipe.sphinxbuilder = 0.7.0
-hurry.workflow = 0.11
-# Pinned to circumvent breakage in 0.4.x
-hurry.zoperesource = 0.6
-# Pinned to prevent buildout svn-error.
-lovely.recipe = 1.0.0
-megrok.layout = 1.0.2
-reportlab = 2.5
-transaction = 1.1.0
-z3c.testsetup = 0.6.1
-zc.buildout = 2.1.0
-zc.recipe.egg = 2.0.0a3
-zc.recipe.testrunner = 2.0.0
-zope.app.testing = 3.8.1
-# for support of @provider directive
-zope.interface = 3.6.3
-# for support of contextual default values
-zope.schema = 3.8.0
-zope.testing = 3.10.2
-zope.xmlpickle = 3.4.0
-# Require latest version...
-Sphinx = 1.0.7
-ZODB3 = 3.10.3
-docutils = 0.7
-Jinja2 = 2.3
-# for support of unicode encoded passwords
-zope.password = 3.6.1
-zope.publisher = 3.12.2
-# Pillow >= 2.0 supports Python 2.6, 2.7, 3.x
-# Pillow < 1.x supports Python 2.4, 2.5, 2.6, 2.7
-Pillow = 2.0.0
-mock = 1.0.1
-
-
-# Added by buildout at 2013-05-22 17:48:55.686088
-Beaker = 1.6.4
-Twisted = 13.0.0
-dolmen.beaker = 0.1
-hurry.resource = 0.10
-mr.developer = 1.25
-repoze.profile = 2.0
-repoze.sphinx.autointerface = 0.7.1
-unittest2 = 0.5.1
-z3c.coverage = 2.0.0
-zc.async = 1.5.4
-zc.dict = 1.2.1
-zc.twist = 1.3.1
-zc.z3monitor = 0.8.0
-zope.bforest = 1.2
-
-# Required by:
-# z3c.coverage==2.0.0
-coverage = 3.6
-
-# Required by:
-# waeup.kofa==0.2dev
-hurry.file = 1.2.1
-
-# Required by:
-# waeup.kofa==0.2dev
-hurry.jquery = 1.4.3.1
-
-# Required by:
-# waeup.kofa==0.2dev
-hurry.jqueryui = 1.8.5.1
-
-# Required by:
-# waeup.kofa==0.2dev
-hurry.query = 1.1.1
-
-# Required by:
-# grokui.base==0.2
-megrok.menu = 0.4
-
-# Required by:
-# dolmen.beaker==0.1
-pycryptopp = 0.6.0.1206569328141510525648634803928199668821045408958
-
-# Required by:
-# repoze.profile==2.0
-pyprof2calltree = 1.1.0
-
-# Required by:
-# zc.async==1.5.4
-rwproperty = 1.0
-
-# Required by:
-# zope.testrunner==4.3.3
-six = 1.3.0
-
-# Required by:
-# waeup.kofa==0.2dev
-ulif.loghandlers = 0.1.1
-
-# Required by:
-# waeup.kofa==0.2dev
-unicodecsv = 0.9.4
-
-# Required by:
-# zc.async==1.5.4
-uuid = 1.30
-
-# Required by:
-# zc.z3monitor==0.8.0
-zc.monitor = 0.3.1
-
-# Required by:
-# zc.monitor==0.3.1
-zc.ngi = 2.0.1
-
-# Required by:
-# zc.async==1.5.4
-zc.queue = 1.3
-
-# Required by:
-# waeup.kofa==0.2dev
-zope.errorview = 0.11
-
-# Required by:
-# zc.recipe.testrunner==2.0.0
-zope.testrunner = 4.3.3
-
-# Added by buildout at 2014-02-20 19:40:23.862079
-WebOb = 1.3.1
-diazo = 1.0.5
-repoze.xmliter = 0.5
-z3c.recipe.staticlxml = 0.10
-
-# Required by:
-# diazo==1.0.5
-experimental.cssselect = 0.3
-
-# Required by:
-# diazo==1.0.5
-# experimental.cssselect==0.3
-lxml = 3.3.1
-
-# Required by:
-# z3c.recipe.staticlxml==0.10
-zc.recipe.cmmi = 1.3.5
-
-# Added by buildout at 2014-02-20 22:05:37.029327
-zc.zodbrecipes = 2.0.0
-
-# Added by buildout at 2014-09-24 07:36:08.874909
-
-# Required by:
-# waeup.kofa==1.3dev
-psutil = 2.1.2