Index: /main/waeup.ikoba/trunk/versions-kofa.cfg
===================================================================
--- /main/waeup.ikoba/trunk/versions-kofa.cfg	(revision 13729)
+++ /main/waeup.ikoba/trunk/versions-kofa.cfg	(revision 13729)
@@ -0,0 +1,157 @@
+# Versions of packages used by waeup.kofa
+[buildout]
+# default set of versions we use.
+#extends= http://grok.zope.org/releaseinfo/grok-1.1.cfg
+extends = grok-1.1.cfg
+
+versions = versions
+
+[versions]
+alabaster = 0.7.7
+Babel = 1.3
+Beaker = 1.6.4
+collective.recipe.sphinxbuilder = 0.8.2
+collective.recipe.template = 1.10
+coverage = 3.6
+diazo = 1.0.6
+distribute = 0.6.49
+docutils = 0.11
+dolmen.beaker = 0.1
+experimental.cssselect = 0.3
+grok = 1.1.1
+grokcore.view = 1.13.5
+grokui.admin = 0.6.4
+grokui.base = 0.2.2
+horae.sphinx.grok = 1.0a1
+hurry.file = 1.2.1
+hurry.jquery = 1.4.3.1
+hurry.jqueryui = 1.8.5.1
+hurry.query = 1.1.1
+hurry.resource = 0.10
+hurry.workflow = 0.11
+hurry.zoperesource = 0.6
+Jinja2 = 2.3.1
+lovely.recipe = 1.0.0
+lxml = 3.3.6
+martian = 0.11.3
+mechanize = 0.2.5
+megrok.layout = 1.0.2
+megrok.menu = 0.4
+mock = 1.0.1
+mr.developer = 1.27
+Paste = 1.7.5.1
+PasteDeploy = 1.3.4
+PasteScript = 1.7.5
+Pillow = 2.0.0
+plone.recipe.command = 1.1
+psutil = 2.1.3
+py = 1.0.2
+pycryptopp = 0.6.0.1206569328141510525648634803928199668821045408958
+Pygments = 2.0.2
+pyprof2calltree = 1.1.1
+reportlab = 2.5
+repoze.profile = 2.0
+repoze.sphinx.autointerface = 0.7.1
+repoze.xmliter = 0.5
+RestrictedPython = 3.5.2
+rwproperty = 1.0
+setuptools = 19.2
+six = 1.4.1
+snowballstemmer = 1.2.1
+Sphinx = 1.3.5
+sphinx-rtd-theme = 0.1.9
+transaction = 1.1.1
+Twisted = 13.0.0
+ulif.loghandlers = 0.1.1
+unicodecsv = 0.9.4
+unittest2 = 0.5.1
+uuid = 1.30
+WebOb = 1.3.1
+z3c.autoinclude = 0.3.6
+# z3c.coverage 2.0 is out but does not cope with non-ASCII in sources
+z3c.coverage = 1.3.1
+z3c.recipe.staticlxml = 0.10
+z3c.testsetup = 0.6.1
+zc.async = 1.5.4
+zc.buildout = 2.5.0
+zc.catalog = 1.4.5
+zc.dict = 1.2.1
+zc.lockfile = 1.0.2
+zc.monitor = 0.3.1
+zc.ngi = 2.0.1
+zc.queue = 1.3
+zc.recipe.cmmi = 1.3.6
+zc.recipe.egg = 2.0.3
+zc.recipe.testrunner = 2.0.0
+zc.resourcelibrary = 1.3.4
+zc.twist = 1.3.1
+zc.z3monitor = 0.8.0
+zc.zodbrecipes = 0.6.2
+zdaemon = 2.0.7
+ZODB3 = 3.10.5
+zope.app.apidoc = 3.7.5
+zope.app.applicationcontrol = 3.5.10
+zope.app.basicskin = 3.5.1
+zope.app.dav = 3.5.3
+zope.app.error = 3.5.3
+zope.app.exception = 3.6.3
+zope.app.folder = 3.5.2
+zope.app.form = 4.0.2
+zope.app.i18n = 3.6.4
+zope.app.interface = 3.5.2
+zope.app.keyreference = 3.6.1
+zope.app.locales = 3.6.2
+zope.app.localpermission = 3.7.2
+zope.app.principalannotation = 3.7.1
+zope.app.publisher = 3.10.2
+zope.app.rotterdam = 3.5.3
+zope.app.session = 3.6.2
+zope.app.testing = 3.9.0
+zope.app.zcmlfiles = 3.7.1
+zope.app.zopeappgenerations = 3.5.1
+zope.authentication = 3.7.1
+zope.bforest = 1.2
+zope.browsermenu = 3.9.1
+zope.browserresource = 3.10.3
+zope.cachedescriptors = 3.5.1
+zope.catalog = 3.8.2
+zope.component = 3.9.5
+zope.componentvocabulary = 1.0.1
+zope.configuration = 3.7.4
+zope.container = 3.11.2
+zope.contenttype = 3.5.5
+zope.datetime = 3.4.1
+zope.deferredimport = 3.5.3
+zope.deprecation = 3.4.1
+zope.documenttemplate = 3.4.3
+zope.dublincore = 3.6.3
+zope.error = 3.7.4
+zope.errorview = 0.11
+zope.filerepresentation = 3.6.1
+zope.formlib = 4.0.6
+zope.i18n = 3.7.4
+zope.i18nmessageid = 3.5.3
+zope.index = 3.6.4
+zope.interface = 3.6.7
+zope.keyreference = 3.6.4
+zope.lifecycleevent = 3.6.2
+zope.location = 3.9.1
+zope.pagetemplate = 3.5.2
+zope.password = 3.6.1
+zope.pluggableauth = 1.0.3
+zope.principalannotation = 3.6.1
+zope.principalregistry = 3.7.1
+zope.publisher = 3.12.6
+zope.schema = 3.8.1
+zope.security = 3.7.4
+zope.sendmail = 3.7.5
+zope.server = 3.6.3
+zope.session = 3.9.5
+zope.site = 3.9.2
+zope.tales = 3.5.3
+zope.testbrowser = 4.0.4
+zope.testing = 3.10.3
+zope.testrunner = 4.3.3
+zope.traversing = 3.12.1
+zope.viewlet=3.7.2
+zope.xmlpickle = 3.4.0