Index: /main/waeup.fceokene/trunk/src/waeup/fceokene/interswitch/browser.py
===================================================================
--- /main/waeup.fceokene/trunk/src/waeup/fceokene/interswitch/browser.py	(revision 13751)
+++ /main/waeup.fceokene/trunk/src/waeup/fceokene/interswitch/browser.py	(revision 13752)
@@ -35,4 +35,6 @@
 PROVIDER_ITEM_NAME = 'BT Education'
 INSTITUTION_NAME = 'FCEOkene'
+INSTITUTION_ACCT = '2003670143'
+INSTITUTION_BANK_ID = '8'
 CURRENCY = '566'
 GATEWAY_AMT = 150.0
@@ -75,62 +77,25 @@
         xmldict['provider_amt'] = 100 * provider_amt
         # Institution data
-        fceokene_split_amt = 1400.0
-        xmldict['fceokene_acct'] = "0000000000000"
-        xmldict['institution_bank_id'] = '0'
+        xmldict['institution_acct'] = INSTITUTION_ACCT
+        xmldict['institution_bank_id'] = INSTITUTION_BANK_ID
         xmldict['institution_item_name'] = self.category
         xmldict['institution_name'] = INSTITUTION_NAME
         if self.context.p_category in ('schoolfee', 'third_semester'):
             self.pay_item_id = '8302'
-            if student.current_mode in ('ct_ft',):
-                xmldict['institution_acct'] = "1012044039"
-                xmldict['institution_bank_id'] = '117'
-            if student.current_mode in ('nce_sw','prence',):
-                xmldict['institution_acct'] = "1013780934"
-                xmldict['institution_bank_id'] = '117'
-            elif student.current_mode in ('nce_ft',) and \
-                student['studycourse'].current_verdict == 'O':
-                xmldict['institution_acct'] = "1013780934"
-                xmldict['institution_bank_id'] = '117'
-            elif student.current_mode in ('nce_ft',):
-                xmldict['institution_acct'] = "1013780934"
-                xmldict['institution_bank_id'] = '117'
-            elif student.current_mode in ('pd_ft',):
-                xmldict['institution_acct'] = "1013780934"
-                xmldict['institution_bank_id'] = '117'
-            #undergraduate schoolfee added
-            elif student.current_mode in ('ug_ft',):
-                xmldict['institution_acct'] = "2010952698"
-                xmldict['institution_bank_id'] = '8'
-            xmldict['fceokene_split'] = 100 * fceokene_split_amt
-            xmldict['institution_amt'] = 100 * (
-                self.context.amount_auth - provider_amt -
-                GATEWAY_AMT - fceokene_split_amt)
         elif 'maintenance' in self.context.p_category:
-            fceokene_split_amt = 0.0
             provider_amt = 0.0
             self.pay_item_id = '8300'
-            xmldict['institution_amt'] = 100 * (
-                self.context.amount_auth - GATEWAY_AMT)
-            xmldict['institution_acct'] = "1013780934"
-            xmldict['institution_bank_id'] = '117'
         elif self.context.p_category == 'clearance':
-            fceokene_split_amt = 0.0
             provider_amt = 0.0
             self.pay_item_id = '8304'
-            xmldict['institution_amt'] = 100 * (
-                self.context.amount_auth - GATEWAY_AMT)
-            xmldict['institution_acct'] = "2010952698"
-            xmldict['institution_bank_id'] = '8'
-
-        # Interswitch amount is not part of the xml data
-        if self.context.p_category in ('schoolfee', 'third_semester'):
+        xmldict['institution_amt'] = 100 * (
+            self.context.amount_auth - GATEWAY_AMT - provider_amt)
+        if provider_amt:
             xmltext = """<payment_item_detail>
 <item_details detail_ref="%(detail_ref)s" college="%(institution_name)s" department="%(department)s" faculty="%(faculty)s">
 <item_detail item_id="1" item_name="%(institution_item_name)s" item_amt="%(institution_amt)d" bank_id="%(institution_bank_id)s" acct_num="%(institution_acct)s" />
-<item_detail item_id="2" item_name="FCEOkene Split" item_amt="%(fceokene_split)d" bank_id="117" acct_num="1013780934" />
-<item_detail item_id="3" item_name="%(provider_item_name)s" item_amt="%(provider_amt)d" bank_id="%(provider_bank_id)s" acct_num="%(provider_acct)s" />
+<item_detail item_id="2" item_name="%(provider_item_name)s" item_amt="%(provider_amt)d" bank_id="%(provider_bank_id)s" acct_num="%(provider_acct)s" />
 </item_details>
 </payment_item_detail>""" % xmldict
-
         else:
             xmltext = """<payment_item_detail>
@@ -143,5 +108,4 @@
         self.context.provider_amt = provider_amt
         self.context.gateway_amt = GATEWAY_AMT
-        self.context.thirdparty_amt = fceokene_split_amt
         return
 
@@ -172,11 +136,6 @@
         xmldict['provider_item_name'] = PROVIDER_ITEM_NAME
         # Institution data
-        if getattr(
-            self.applicant.__parent__, 'prefix', None) in ('pude', 'putme'):
-            xmldict['institution_acct'] = '2010952698'
-            xmldict['institution_bank_id'] = '8'
-        else:
-            xmldict['institution_acct'] = '1013780934'
-            xmldict['institution_bank_id'] = '117'
+        xmldict['institution_acct'] = INSTITUTION_ACCT
+        xmldict['institution_bank_id'] = INSTITUTION_BANK_ID
         xmldict['institution_amt'] = 100 * (self.context.amount_auth -
             provider_amt - GATEWAY_AMT)
Index: /main/waeup.fceokene/trunk/src/waeup/fceokene/interswitch/tests.py
===================================================================
--- /main/waeup.fceokene/trunk/src/waeup/fceokene/interswitch/tests.py	(revision 13751)
+++ /main/waeup.fceokene/trunk/src/waeup/fceokene/interswitch/tests.py	(revision 13752)
@@ -91,5 +91,4 @@
         self.assertEqual(self.student['payments'][self.value].provider_amt, 1600.0)
         self.assertEqual(self.student['payments'][self.value].gateway_amt, 150.0)
-        self.assertEqual(self.student['payments'][self.value].thirdparty_amt, 1400.0)
         self.assertMatches('...Total Amount Authorized:...',
                            self.browser.contents)
@@ -98,8 +97,5 @@
             in self.browser.contents)
         self.assertTrue(
-            'item_name="School Fee" item_amt="6730000" bank_id="117" acct_num="1013780934"'
-            in self.browser.contents)
-        self.assertTrue(
-            'item_name="FCEOkene Split" item_amt="140000" bank_id="117" acct_num="1013780934"'
+            'item_name="School Fee" item_amt="6870000" bank_id="8" acct_num="2003670143"'
             in self.browser.contents)
         self.assertTrue(
@@ -123,8 +119,5 @@
             in self.browser.contents)
         self.assertTrue(
-            'item_name="NCE Third Semester Fee" item_amt="476300" bank_id="117" acct_num="1013780934"'
-            in self.browser.contents)
-        self.assertTrue(
-            'item_name="FCEOkene Split" item_amt="140000" bank_id="117" acct_num="1013780934"'
+            'item_name="NCE Third Semester Fee" item_amt="616300" bank_id="8" acct_num="2003670143"'
             in self.browser.contents)
         self.assertTrue(
@@ -191,5 +184,5 @@
             in self.browser.contents)
         self.assertTrue(
-            'item_name="Hostel Maintenance Fee" item_amt="87600" bank_id="117" acct_num="1013780934"'
+            'item_name="Hostel Maintenance Fee" item_amt="87600" bank_id="8" acct_num="2003670143"'
             in self.browser.contents)
         # BT does nor charge a fee for maintenance fee
@@ -242,5 +235,5 @@
             self.browser.contents)
         self.assertTrue(
-            'item_name="Acceptance Fee" item_amt="345600" bank_id="8" acct_num="2010952698"'
+            'item_name="Acceptance Fee" item_amt="345600" bank_id="8" acct_num="2003670143"'
             in self.browser.contents)
         # BT does nor charge a fee for maintenance fee
@@ -401,5 +394,5 @@
         self.assertTrue(
             '<item_detail item_id="1" item_name="application"'
-            ' item_amt="35000" bank_id="117" acct_num="1013780934" />'
+            ' item_amt="35000" bank_id="8" acct_num="2003670143" />'
             in self.browser.contents)
         delta = timedelta(days=8)