Index: main/waeup.uniben/trunk/src/waeup/uniben/interfaces.py
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/interfaces.py	(revision 13777)
+++ main/waeup.uniben/trunk/src/waeup/uniben/interfaces.py	(revision 13785)
@@ -106,4 +106,10 @@
         )
 
+    jupeb_fee = schema.Float(
+        title = _(u'JUPEB Examination Fee'),
+        default = 0.0,
+        required = False,
+        )
+
     def getSessionString():
         """Returns the session string from the vocabulary.
Index: main/waeup.uniben/trunk/src/waeup/uniben/interswitch/browser.py
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/interswitch/browser.py	(revision 13777)
+++ main/waeup.uniben/trunk/src/waeup/uniben/interswitch/browser.py	(revision 13785)
@@ -95,8 +95,10 @@
         elif self.context.p_category == 'gown':
             self.pay_item_id = '5704'
+        elif self.context.p_category.startswith('hostel_maintenance'):
+            self.pay_item_id = '5705'
         elif self.context.p_category.startswith('bed_allocation'):
             self.pay_item_id = '5716'
-        elif self.context.p_category.startswith('hostel_maintenance'):
-            self.pay_item_id = '5705'
+        elif self.context.p_category == 'jupeb':
+            self.pay_item_id = '5717'
 
         xmldict['provider_amt'] = 100 * provider_amt
Index: main/waeup.uniben/trunk/src/waeup/uniben/interswitch/tests.py
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/interswitch/tests.py	(revision 13777)
+++ main/waeup.uniben/trunk/src/waeup/uniben/interswitch/tests.py	(revision 13785)
@@ -297,4 +297,32 @@
             'item_name="BT Education"' in self.browser.contents)
 
+        # Create JUPEB fee ticket
+        self.app['configuration']['2004'].jupeb_fee = 345.0
+        self.browser.open(self.payments_path + '/addop')
+        self.browser.getControl(name="form.p_category").value = ['jupeb']
+        self.browser.getControl("Create ticket").click()
+        ctrl = self.browser.getControl(name='val_id')
+        value = ctrl.options[4]
+        self.browser.getLink(value).click()
+        self.assertTrue(
+            '<span>345.0</span>',
+            self.browser.contents)
+        # Manager can access InterswitchForm
+        self.browser.getLink("CollegePAY", index=0).click()
+        self.assertEqual(self.student['payments'][value].provider_amt, 0.0)
+        self.assertEqual(self.student['payments'][value].gateway_amt, 150.0)
+        self.assertTrue('<input type="hidden" name="pay_item_id" value="5717" />'
+                           in self.browser.contents)
+        self.assertTrue('Total Amount Authorized:'
+                           in self.browser.contents)
+        self.assertTrue(
+            '<input type="hidden" name="amount" value="34500" />'
+            in self.browser.contents)
+        self.assertTrue(
+            '<item_detail item_id="1" item_name="JUPEB Examination Fee" item_amt="19500" bank_id="8" acct_num="2017506430" />'
+            in self.browser.contents)
+        self.assertFalse(
+            'item_name="BT Education"' in self.browser.contents)
+
 #    @external_test
 #    def test_callback(self):
Index: main/waeup.uniben/trunk/src/waeup/uniben/students/utils.py
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/students/utils.py	(revision 13777)
+++ main/waeup.uniben/trunk/src/waeup/uniben/students/utils.py	(revision 13785)
@@ -194,4 +194,6 @@
         elif category == 'gown':
             amount = academic_session.gown_fee
+        elif category == 'jupeb':
+            amount = academic_session.jupeb_fee
         elif category == 'bed_allocation':
             p_item = self.getAccommodationDetails(student)['bt']
Index: main/waeup.uniben/trunk/src/waeup/uniben/utils/utils.py
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/utils/utils.py	(revision 13777)
+++ main/waeup.uniben/trunk/src/waeup/uniben/utils/utils.py	(revision 13785)
@@ -81,4 +81,5 @@
         'transcript': 'Transcript Fee',
         'admission_checking': 'Admission Checking Fee',
+        'jupeb': 'JUPEB Examination Fee',
         }
 
@@ -96,4 +97,5 @@
         'transcript': 'Transcript Fee',
         'transfer': 'Transfer Fee',
+        'jupeb': 'JUPEB Examination Fee',
         }
 